#!/usr/bin/python
# -*- coding: utf-8 -*-

from nlp_service import Service, create_service_option_parser
import shutil

class Dummy2Service(Service):
	def __init__(self, *args, **kwargs):
		super(Dummy2Service, self).__init__(*args, **kwargs)

	def process(self, inputFile, taskOptions, outputFile):
		shutil.move(inputFile, outputFile)
if __name__ == '__main__':
	parser = create_service_option_parser()
	args = parser.parse_args()
	config_path = args.config_path
	logfile_path = args.log_file
	logging_lvl = args.logging_lvl
	run_as_daemon = args.daemon

	service = Dummy2Service(config_path, logfile_path, logging_lvl, run_as_daemon)
	service.run()
